io.etcd.jetcd.api

## Interface TxnResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  TxnResponse, TxnResponse.Builder

    public interface TxnResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseOp` `getResponses(int index)` responses is a list of responses corresponding to the results from applying success if succeeded is true or failure if succeeded is false.
`int` `getResponsesCount()` responses is a list of responses corresponding to the results from applying success if succeeded is true or failure if succeeded is false.
`List<ResponseOp>` `getResponsesList()` responses is a list of responses corresponding to the results from applying success if succeeded is true or failure if succeeded is false.
`ResponseOpOrBuilder` `getResponsesOrBuilder(int index)` responses is a list of responses corresponding to the results from applying success if succeeded is true or failure if succeeded is false.
`List<? extends ResponseOpOrBuilder>` `getResponsesOrBuilderList()` responses is a list of responses corresponding to the results from applying success if succeeded is true or failure if succeeded is false.
`boolean` `getSucceeded()` succeeded is set to true if the compare evaluated to true or false otherwise.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getSucceeded

    boolean getSucceeded()

     succeeded is set to true if the compare evaluated to true or false otherwise.

`bool succeeded = 2;`

Returns:
  The succeeded.

#### getResponsesList

    List<ResponseOp> getResponsesList()

     responses is a list of responses corresponding to the results from applying
     success if succeeded is true or failure if succeeded is false.

`repeated .etcdserverpb.ResponseOp responses = 3;`

#### getResponses

    ResponseOp getResponses(int index)

     responses is a list of responses corresponding to the results from applying
     success if succeeded is true or failure if succeeded is false.

`repeated .etcdserverpb.ResponseOp responses = 3;`

#### getResponsesCount

    int getResponsesCount()

     responses is a list of responses corresponding to the results from applying
     success if succeeded is true or failure if succeeded is false.

`repeated .etcdserverpb.ResponseOp responses = 3;`

#### getResponsesOrBuilderList

    List<? extends ResponseOpOrBuilder> getResponsesOrBuilderList()

     responses is a list of responses corresponding to the results from applying
     success if succeeded is true or failure if succeeded is false.

`repeated .etcdserverpb.ResponseOp responses = 3;`

#### getResponsesOrBuilder

    ResponseOpOrBuilder getResponsesOrBuilder(int index)

     responses is a list of responses corresponding to the results from applying
     success if succeeded is true or failure if succeeded is false.

`repeated .etcdserverpb.ResponseOp responses = 3;`